# Install packages for blender bundled python
To get BlenderCAM to run, you need shapely and numpy.
At least in macOS, blender comes with a bundled python version.
The packages need to be installed in the bundled site_packages,
but since the bundled python doesn't provide pip, you need to
install it manually.

## Installing pip, then shapely and numpy
```bash
cd /Applications/Blender.app/Contents/Resources/2.78/python
wget https://bootstrap.pypa.io/get-pip.py
./bin/python3.5m ./get-pip.py --prefix /Applications/Blender.app/Contents/Resources/2.78/python
./bin/python3.5m bin/pip3 install shapely numpy
```

## References
- [BlenderCAM](https://github.com/vilemduha/blendercam/wiki/Using-Blendercam-from-github)
- [Using pip in blenders bundled python](https://blender.stackexchange.com/a/56013)
- [Manually install pip](https://packaging.python.org/tutorials/installing-packages/#install-pip-setuptools-and-wheel)